/*  Copyright (c) 2005 Romain BONDUE
    This file is part of RutilT.

    RutilT is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    RutilT is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with RutilT; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/
/** \file IfaceRoot.h
    \author Romain BONDUE
    \date 09/06/2006 */
#ifndef __IFACEROOT_H__
#define __IFACEROOT_H__

#include <string>

#include "Su.h"
#include "NetTools.h"



namespace nsNet
{
    class CInterfaceRoot : public CInterface
    {
      public :
        CInterfaceRoot (const CInterface&) throw (nsErrors::CSystemExc);
        void SetIP (const CIPAddress&) throw (nsErrors::CSystemExc);
        void SetIPFromDHCP (const std::string&) throw (nsErrors::CException);
        void Up () throw (nsErrors::CSystemExc);
        void Down () throw (nsErrors::CSystemExc);


      protected :
        void SuDo (const std::string&, int) throw (nsErrors::CSystemExc);


      private :
        nsRoot::CSu m_Su;

    }; // CRootInterface

} // namespace nsNet

#endif // __IFACEROOT_H__
