/*  Copyright (c) 2005 Romain BONDUE
    This file is part of RutilT.

    RutilT is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    RutilT is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with RutilT; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/
/** \file 04/01/2006
    \author Romain BONDUE
    \date Msg.h */
#ifndef __MSG_H__
#define __MSG_H__

#include <string>



namespace nsRoot
{
        // FIXME Improve this class (mainly data storage).
    class CMsg
    {
      public :
        CMsg (const std::string& Text = "", int Code = 0) throw();
        int GetCode () const throw();
        const std::string& GetText () const throw();
        void SetCode (int) throw();
        void SetText (const std::string&) throw();


      private :
        std::string m_Text;
        int m_Code;

    }; // CMsg


    const int CheckRootPassword = -1; // MUST be negative.    
    const int CreateRemoteHandlerCmd = -2; // MUST be negative.    
    const int ChangeRemoteHandlerCmd = -3; // MUST be negative.    
    const int DeleteRemoteHandlerCmd = -4; // MUST be negative.    
    const int IsAliveCmd = -5;
    const std::string ServerAddr ("RutilT - Helper IPC Socket ");

} // namespace nsRoot

#include "private/Msg.hxx"

#endif // __MSG_H__
