/*  Copyright (c) 2005 Romain BONDUE
    This file is part of RutilT.

    RutilT is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    RutilT is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with RutilT; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/
/** \file MsgHandlerFactory.h
    \author Romain BONDUE
    \date 17/02/2006 */
#ifndef __MSGHANDLERFACTORY_H__
#define __MSGHANDLERFACTORY_H__

#include <stdexcept> // bad_alloc

#include "Exceptions.h"



namespace nsRoot
{
    class IMsgHandler;


    /** \warning The object returned be manually free. */
    IMsgHandler* MakeHandler (const std::string&) throw (nsErrors::CException,
                                                         std::bad_alloc);

} // namespace nsRoot

#endif // __MSGHANDLERFACTORY_H__
