/*  Copyright (c) 2005 Romain BONDUE
    This file is part of RutilT.

    RutilT is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    RutilT is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with RutilT; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/
/** \file GtkGUI.hxx
    \author Romain BONDUE
    \date 21/07/2005
    \warning This fils should only be included from GtkGUI.h */
#include "Module.h"



inline const nsUserData::CProfile* nsGUI::CGtkGUI::EditProfile () throw()
{
    if (m_pModule->EditProfile (m_ProfileTab.GetSelectedRow()))
        return &m_pModule->GetProfile (m_ProfileTab.GetSelectedRow());
    return 0;

} // EditProfile()


inline void nsGUI::CGtkGUI::StopScanning () throw()
{
    ::g_source_remove (m_SiteSurveyTabTimer);
    m_SiteSurveyTab.ScanningStopped();
    m_SiteSurveyTabTimer = 0;

} // StopScanning()


inline const nsUserData::CProfile* nsGUI::CGtkGUI::NewProfile () throw()
{
    return m_pModule->NewProfile();

} // NewProfile()


inline bool nsGUI::CGtkGUI::IsRoot () const throw() {return m_IsRoot;}


inline nsGUI::CGtkGUI::operator const ::GtkWindow* () const throw()
{
    return m_pWindow;

} // operator const ::GtkWindow* ()


inline nsGUI::CGtkGUI::operator ::GtkWindow* () throw()
{
    return m_pWindow;

} // operator const ::GtkWindow* ()
