/*  Copyright (c) 2005 Romain BONDUE
    This file is part of RutilT.

    RutilT is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    RutilT is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with RutilT; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/
/** \file OptionsFile.hxx
    \author Romain BONDUE
    \date 03/08/2006
    \warning This file should only be included from OptionsFile.h */
inline nsUserData::COptionsFile::COptionsFile (bool DisplayTrayIcon,
                                               bool StartMinimized,
                                               unsigned LeaveRootDelay) throw()
    : m_DisplayTrayIcon (DisplayTrayIcon), m_StartMinimized (StartMinimized),
      m_LeaveRootDelay (LeaveRootDelay) {}


inline bool nsUserData::COptionsFile::DisplayTrayIcon () const throw()
{
    return m_DisplayTrayIcon;

} // DisplayTrayIcon()


inline void nsUserData::COptionsFile::DisplayTrayIcon (bool B) throw()
{
    m_DisplayTrayIcon = B;

} // DisplayTrayIcon()


inline bool nsUserData::COptionsFile::StartMinimized () const throw()
{
    return m_StartMinimized;

} // StartMinimized()


inline void nsUserData::COptionsFile::StartMinimized (bool B) throw()
{
    m_StartMinimized = B;

} // StartMinimized()


inline unsigned nsUserData::COptionsFile::LeaveRootDelay () const throw()
{
    return m_LeaveRootDelay;

} // LeaveRootDelay()


inline void nsUserData::COptionsFile::LeaveRootDelay (unsigned Delay) throw()
{
    m_LeaveRootDelay = Delay;

} // LeaveRootDelay()


inline nsUserData::COptionsFile::~COptionsFile () throw() {}
